serial

## Class PortInfo

- java.lang.Object
- - serial.PortInfo

    public final class PortInfo
    extends java.lang.Object

Created by chzhong on 1/20/16.

### Field Summary

Fields
`java.lang.String` `description` Human readable description of serial device if available.
`java.lang.String` `hardwareId` Hardware ID (e.g.
`java.lang.String` `port` Address of the serial port (this can be passed to the constructor of Serial).

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### port

    public final java.lang.String port

Address of the serial port (this can be passed to the constructor of Serial).

#### description

    public final java.lang.String description

Human readable description of serial device if available.

#### hardwareId

    public final java.lang.String hardwareId

Hardware ID (e.g. VID:PID of USB serial devices) or "n/a" if not available.

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`